// модуль предназначен для приема информации из файла dbf РСВ-1(отчет_в_ГНИ)   c:\\pnrsv\pnrsv.dbf
//   в таблицу "Контроль СЗВ-м"
//        
//   Вызывается по Alt-F10.  Вызов из "Ф-ция приема из файла" :  user\ctrl_SZVm_n,ReadDBF,0 
//   


   var CTabl   = CreateObject("CurPrnTbl");
   var SpTabl  = CreateObject("CurPrnTbl");     // таблицы из списка

   var TablDbf = CreateObject("CurPrnTbl");  // таблица - для dbf-файла



   int CountTabl = 0;




ReadDBF( AdrCTabl,     // адрес передаваемой таблицы
       AdrCListTabl, // адрес списка таблиц
       RcrInList      // номер записи в списке таблиц
     )
{

  CTabl.Initial(AdrCTabl);    // текущая таблица
  CTabl.Clear();              // очистка таблицы

  // var CListTabl = CreateObject("CurPrnTbl");   // список таблиц
  // CListTabl.Initial(AdrCListTabl);



   TablDbf.InitialNameFile("C:\\pnrsv\\pnrsv.dbf");  // с информацией 

   if ( TablDbf.Count_Rcr()<2 &&  TablDbf.Check_Empty_Rcr(0)==-1 ) return ESC;

   int countDBF = TablDbf.Count_Rcr();

   // Читаем dbf-файл и записываем информацию(суммы) в ...
   for ( int RcrTbl=0; RcrTbl<countDBF;  ++RcrTbl )
     {
       int NewTN = atoi(TablDbf.TextS("C_FIO",RcrTbl));
       string FIO  = TablDbf.TextS("FIO",RcrTbl);
       string Fio1 = TablDbf.TextS("Fcf",RcrTbl);
       string Fio2 = TablDbf.TextS("Fci",RcrTbl);
       string Fio3 = TablDbf.TextS("Fco",RcrTbl);

       string Stag1 = TablDbf.TextS("P_Ins_M1",RcrTbl);           // StagMAS[1] =  Stag1;     вместо стажа
       string Stag2 = TablDbf.TextS("P_Ins_M2",RcrTbl);           // StagMAS[2] =  Stag2;     анализируем
       string Stag3 = TablDbf.TextS("P_Ins_M3",RcrTbl);           // StagMAS[3] =  Stag3;     уплаченные взносы  помесячно

                                                         
       int StgON1, StgON2, StgON3;
       StgON1 = StgON2 = StgON3 = 0;
       int KolZapSt = 0;

       if( atoi(Stag1) != 0 )  StgON1 = 1;
       if( atoi(Stag2) != 0 )  StgON2 = 1;
       if( atoi(Stag3) != 0 )  StgON3 = 1;
     

        int CurRcr = CTabl.Count_Rcr()-1;
        CTabl.Add_Rcr(CurRcr,1);

        CTabl.STextS("C_FIO",CurRcr, static_cast_to_string(NewTN));  
        CTabl.STextS("FIO",CurRcr, static_cast_to_string(FIO));
        CTabl.STextS("Fio1",CurRcr, static_cast_to_string(Fio1));
        CTabl.STextS("Fio2",CurRcr, static_cast_to_string(Fio2));
        CTabl.STextS("Fio3",CurRcr, static_cast_to_string(Fio3));

        CTabl.STextS("StgON1",CurRcr, static_cast_to_string(StgON1));
        CTabl.STextS("StgON2",CurRcr, static_cast_to_string(StgON2));
        CTabl.STextS("StgON3",CurRcr, static_cast_to_string(StgON3));

     
     }


  return 1;
}


